Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.connecterra.ale.api
Class XMLSerializationSyntax

    java.lang.Object
      com.connecterra.ale.api.XMLSerializationSyntax

public class XMLSerializationSyntax
extends java.lang.Object

This is a type-safe enum which represents the types of XML Syntax supported by the ALE Engine.

Field Summary
`static XMLSerializationSyntax` | `EPCGLOBAL_ALE_1_0`
`static XMLSerializationSyntax` | `RFTAGAWARE_1_1`

Method Summary
`static XMLSerializationSyntax` | `fromString(java.lang.String value)` Returns the XMLSerializationSyntax instance for the given string value.
`static java.lang.String[]` | `getAllowedStringValues()` Provides an array of allowed string representations of the XML Serialization Syntax.
`java.lang.String` | `toString()` Returns a string representation of the XML serialization syntax value.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### RFTAGAWARE_1_1

    public static final XMLSerializationSyntax RFTAGAWARE_1_1

### EPCGLOBAL_ALE_1_0

    public static final XMLSerializationSyntax EPCGLOBAL_ALE_1_0

Method Detail

### toString

    public java.lang.String toString()

  Returns a string representation of the XML serialization syntax value.

  Returns:
    String representing the value of the XML Serialization Syntax.

### fromString

    public static XMLSerializationSyntax fromString(java.lang.String value)

  Returns the XMLSerializationSyntax instance for the given string value.

  Returns:
    A static XMLSerializationSyntax instance for the given syntax value.

### getAllowedStringValues

    public static java.lang.String[] getAllowedStringValues()

  Provides an array of allowed string representations of the XML Serialization Syntax.

  Returns:
    A String array containing the allowed string representations of the XML Serialization Syntax

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD